Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w1_1.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w1_1.cfg	(revision 122)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w1_1.cfg	(revision 123)
@@ -80,5 +80,5 @@
     <parameter name="nb_inst_branch_decod"                  value="1" />
     <parameter name="nb_inst_branch_update"                 value="1" />
-    <parameter name="btb_size_queue"                        value="32"/>
+    <parameter name="btb_size_queue"                        value="256"/>
     <parameter name="btb_associativity"                     value="1" />
     <parameter name="btb_size_counter"                      value="2" />
Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w1_2.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w1_2.cfg	(revision 122)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w1_2.cfg	(revision 123)
@@ -80,5 +80,5 @@
     <parameter name="nb_inst_branch_decod"                  value="1" />
     <parameter name="nb_inst_branch_update"                 value="1" />
-    <parameter name="btb_size_queue"                        value="32"/>
+    <parameter name="btb_size_queue"                        value="256"/>
     <parameter name="btb_associativity"                     value="1" />
     <parameter name="btb_size_counter"                      value="2" />
Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w1_3.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w1_3.cfg	(revision 122)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w1_3.cfg	(revision 123)
@@ -80,5 +80,5 @@
     <parameter name="nb_inst_branch_decod"                  value="1" />
     <parameter name="nb_inst_branch_update"                 value="1" />
-    <parameter name="btb_size_queue"                        value="32"/>
+    <parameter name="btb_size_queue"                        value="256"/>
     <parameter name="btb_associativity"                     value="1" />
     <parameter name="btb_size_counter"                      value="2" />
@@ -181,5 +181,5 @@
 
   <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="1"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="1"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="1.0"   dest="1"   />
Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w1_4.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w1_4.cfg	(revision 122)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w1_4.cfg	(revision 123)
@@ -94,5 +94,5 @@
     <parameter name="nb_inst_branch_decod"                  value="1" />
     <parameter name="nb_inst_branch_update"                 value="1" />
-    <parameter name="btb_size_queue"                        value="32"/>
+    <parameter name="btb_size_queue"                        value="256"/>
     <parameter name="btb_associativity"                     value="1" />
     <parameter name="btb_size_counter"                      value="2" />
@@ -194,8 +194,8 @@
 
   <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="2.0"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="0.1"   dest="1"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="2.0"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="0.1"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="1.0"   dest="1"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="1.1"   dest="1"   />
Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w2_1.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w2_1.cfg	(revision 122)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w2_1.cfg	(revision 123)
@@ -80,5 +80,5 @@
     <parameter name="nb_inst_branch_decod"                  value="1" />
     <parameter name="nb_inst_branch_update"                 value="1" />
-    <parameter name="btb_size_queue"                        value="32"/>
+    <parameter name="btb_size_queue"                        value="512"/>
     <parameter name="btb_associativity"                     value="1" />
     <parameter name="btb_size_counter"                      value="2" />
@@ -171,6 +171,6 @@
  
   <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="1"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="1.0"   dest="1"   />
 
Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w2_2.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w2_2.cfg	(revision 122)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w2_2.cfg	(revision 123)
@@ -94,5 +94,5 @@
     <parameter name="nb_inst_branch_decod"                  value="1" />
     <parameter name="nb_inst_branch_update"                 value="1" />
-    <parameter name="btb_size_queue"                        value="64"/>
+    <parameter name="btb_size_queue"                        value="512"/>
     <parameter name="btb_associativity"                     value="2" />
     <parameter name="btb_size_counter"                      value="2" />
@@ -197,8 +197,8 @@
 
   <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="2.0"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="0.1"   dest="1"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="2.0"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="0.1"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="1.0"   dest="1"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="1.1"   dest="1"   />
Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w2_3.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w2_3.cfg	(revision 122)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w2_3.cfg	(revision 123)
@@ -94,9 +94,36 @@
     <parameter name="nb_inst_branch_decod"                  value="1" />
     <parameter name="nb_inst_branch_update"                 value="1" />
-    <parameter name="btb_size_queue"                        value="64"/>
+    <parameter name="btb_size_queue"                        value="512"/>
     <parameter name="btb_associativity"                     value="2" />
     <parameter name="btb_size_counter"                      value="2" />
     <parameter name="btb_victim_scheme"                     value="3" />
     <parameter name="dir_predictor_scheme"                  value="2" />
+
+    <predictor id="0">                                      
+      <parameter name="dir_have_bht"                        value="0"  />
+      <parameter name="dir_bht_size_shifter"                value="1"  />
+      <parameter name="dir_bht_nb_shifter"                  value="64" />
+      <parameter name="dir_have_pht"                        value="1"  />
+      <parameter name="dir_pht_size_counter"                value="2"  />
+      <parameter name="dir_pht_nb_counter"                  value="16" />
+      <parameter name="dir_pht_size_address_share"          value="0"  />
+    </predictor>                                            
+    <predictor id="1">                                      
+      <parameter name="dir_have_bht"                        value="1" />
+      <parameter name="dir_bht_size_shifter"                value="4" />
+      <parameter name="dir_bht_nb_shifter"                  value="1" />
+      <parameter name="dir_have_pht"                        value="1" />
+      <parameter name="dir_pht_size_counter"                value="2" />
+      <parameter name="dir_pht_nb_counter"                  value="64" />
+      <parameter name="dir_pht_size_address_share"          value="0" />
+    </predictor>                                            
+    <predictor id="2">                                      
+      <parameter name="dir_have_bht"                        value="0" />
+      <parameter name="dir_have_pht"                        value="1" />
+      <parameter name="dir_pht_size_counter"                value="2" />
+      <parameter name="dir_pht_nb_counter"                  value="128" />
+      <parameter name="dir_pht_size_address_share"          value="0" />
+    </predictor>                                            
+
   </front_end>
 
@@ -198,9 +225,9 @@
 
   <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="2.0"   dest="1"   />
-
-  <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="0.1"   dest="1"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="2.0"   dest="0"   />
+
+  <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="0.1"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="1.0"   dest="1"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="1.1"   dest="1"   />
Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w2_4.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w2_4.cfg	(revision 122)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w2_4.cfg	(revision 123)
@@ -94,5 +94,5 @@
     <parameter name="nb_inst_branch_decod"                  value="1" />
     <parameter name="nb_inst_branch_update"                 value="1" />
-    <parameter name="btb_size_queue"                        value="64"/>
+    <parameter name="btb_size_queue"                        value="512"/>
     <parameter name="btb_associativity"                     value="2" />
     <parameter name="btb_size_counter"                      value="2" />
@@ -110,5 +110,5 @@
     <parameter name="nb_execute_loop_select"                value="1" />
     <parameter name="size_re_order_buffer"                  value="64"/>
-    <parameter name="nb_re_order_buffer_bank"               value="32"/>
+    <parameter name="nb_re_order_buffer_bank"               value="16"/>
     <parameter name="commit_priority"                       value="1" />
     <parameter name="commit_load_balancing"                 value="1" />
Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w4_1.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w4_1.cfg	(revision 122)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w4_1.cfg	(revision 123)
@@ -85,5 +85,5 @@
     <parameter name="nb_inst_branch_decod"                  value="1" />
     <parameter name="nb_inst_branch_update"                 value="1" />
-    <parameter name="btb_size_queue"                        value="256" />
+    <parameter name="btb_size_queue"                        value="1024" />
     <parameter name="btb_associativity"                     value="8" />
     <parameter name="btb_size_counter"                      value="2" />
Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w4_2.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w4_2.cfg	(revision 122)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w4_2.cfg	(revision 123)
@@ -85,5 +85,5 @@
     <parameter name="nb_inst_branch_decod"                  value="1" />
     <parameter name="nb_inst_branch_update"                 value="1" />
-    <parameter name="btb_size_queue"                        value="256" />
+    <parameter name="btb_size_queue"                        value="1024" />
     <parameter name="btb_associativity"                     value="8" />
     <parameter name="btb_size_counter"                      value="2" />
Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w4_3.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w4_3.cfg	(revision 122)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w4_3.cfg	(revision 123)
@@ -85,5 +85,5 @@
     <parameter name="nb_inst_branch_decod"                  value="1" />
     <parameter name="nb_inst_branch_update"                 value="1" />
-    <parameter name="btb_size_queue"                        value="512" />
+    <parameter name="btb_size_queue"                        value="1024" />
     <parameter name="btb_associativity"                     value="8" />
     <parameter name="btb_size_counter"                      value="2" />
Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w8_1.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w8_1.cfg	(revision 122)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w8_1.cfg	(revision 123)
@@ -91,5 +91,5 @@
     <parameter name="nb_inst_branch_decod"                  value="1" />
     <parameter name="nb_inst_branch_update"                 value="1" />
-    <parameter name="btb_size_queue"                        value="256" />
+    <parameter name="btb_size_queue"                        value="1024" />
     <parameter name="btb_associativity"                     value="8" />
     <parameter name="btb_size_counter"                      value="2" />
Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w8_2.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w8_2.cfg	(revision 122)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w8_2.cfg	(revision 123)
@@ -91,5 +91,5 @@
     <parameter name="nb_inst_branch_decod"                  value="1" />
     <parameter name="nb_inst_branch_update"                 value="1" />
-    <parameter name="btb_size_queue"                        value="256" />
+    <parameter name="btb_size_queue"                        value="1024" />
     <parameter name="btb_associativity"                     value="8" />
     <parameter name="btb_size_counter"                      value="2" />
Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x2_w1_3.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x2_w1_3.cfg	(revision 122)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x2_w1_3.cfg	(revision 123)
@@ -186,6 +186,6 @@
 
   <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="1"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="1.0"   dest="1"   />
 
Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x2_w1_4.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x2_w1_4.cfg	(revision 122)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x2_w1_4.cfg	(revision 123)
@@ -200,8 +200,8 @@
 
   <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="2.0"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="0.1"   dest="1"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="2.0"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="0.1"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="1.0"   dest="1"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="1.1"   dest="1"   />
Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x2_w1_5.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x2_w1_5.cfg	(revision 122)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x2_w1_5.cfg	(revision 123)
@@ -205,8 +205,8 @@
 
   <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="2.0"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="0.1"   dest="1"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="2.0"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="0.1"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="1.0"   dest="1"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="1.1"   dest="1"   />
Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x2_w1_6.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x2_w1_6.cfg	(revision 122)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x2_w1_6.cfg	(revision 123)
@@ -213,16 +213,16 @@
 
   <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="2.0"   dest="1"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="2.0"   dest="0"   />
 
   <link name="link_write_bloc_and_load_store_unit"     src="0.1"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="1.1"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="2.1"   dest="1"   />
-
-  <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="1"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="1.1"   dest="0"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="2.1"   dest="0"   />
+
+  <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="1.0"   dest="1"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="2.0"   dest="1"   />
 
-  <link name="link_write_bloc_and_functionnal_unit"    src="0.1"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="0.1"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="1.1"   dest="1"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="2.1"   dest="1"   />
Index: trunk/IPs/systemC/processor/Morpheo/Files/Morpheo.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Morpheo.gen	(revision 122)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Morpheo.gen	(revision 123)
@@ -18,5 +18,5 @@
   <parameter name="nb_inst_fetch"                         min="1"   max="16"   step="* 2" default="1"   level="..." description="..." />
   <parameter name="implement_group"                                                       default="0"   level="..." description="..." />
-  <parameter name="ras_size_queue"                        min="2"   max="16"   step="* 2" default="2"   level="..." description="..." />
+  <parameter name="ras_size_queue"                        min="2"   max="32"   step="* 2" default="2"   level="..." description="..." />
   <parameter name="upt_size_queue"                        min="1"   max="32"   step="* 2" default="2"   level="..." description="..." />
   <parameter name="ufpt_size_queue"                       min="1"   max="16"   step="* 2" default="2"   level="..." description="..." />
@@ -71,5 +71,5 @@
   <parameter name="nb_inst_branch_decod"                  min="1"   max="16"   step="* 2" default="1"   level="..." description="..." />
   <parameter name="nb_inst_branch_update"                 min="1"   max="16"   step="* 2" default="1"   level="..." description="..." />
-  <parameter name="btb_size_queue"                        min="1"   max="512"  step="* 2" default="2"   level="..." description="..." />
+  <parameter name="btb_size_queue"                        min="1"   max="1024" step="* 2" default="2"   level="..." description="..." />
   <parameter name="btb_associativity"                     min="1"   max="16"   step="* 2" default="1"   level="..." description="..." />
   <parameter name="btb_size_counter"                      min="2"   max="16"   step="* 2" default="2"   level="..." description="..." />
Index: trunk/IPs/systemC/processor/Morpheo/Files/Morpheo.sim
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Morpheo.sim	(revision 122)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Morpheo.sim	(revision 123)
@@ -10,5 +10,5 @@
   <parameter  name="use_statistics"                         value="1"       />
   <parameter  name="use_information"                        value="0"       />
-  <parameter  name="use_header"                             value="1"       />
+  <parameter  name="use_header"                             value="0"       />
                                                             
   <parameter  name="directory_statistics"                   value="."       />
@@ -20,15 +20,15 @@
   <parameter  name="statistics_period"                      value="0"       />
                                                             
-  <parameter  name="simulation_nb_cycle"                    value="1000000" />
+  <parameter  name="simulation_nb_cycle"                    value="10000000" />
   <parameter  name="simulation_nb_instruction"              value="0"       />
                                                             
   <parameter  name="debug_level"                            value="0"       />
-  <parameter  name="debug_cycle_start"                      value="4250"    />
-  <parameter  name="debug_cycle_stop"                       value="4400"    />
+  <parameter  name="debug_cycle_start"                      value="0"       />
+  <parameter  name="debug_cycle_stop"                       value="2000000" />
 
   <parameter  name="debug_log_file_generate"                value="0"       />
   <parameter  name="debug_log_file_with_pid"                value="0"       />
   <parameter  name="debug_idle_cycle"                       value="1000"    />
-  <parameter  name="debug_idle_time"                        value="10"      />
+  <parameter  name="debug_idle_time"                        value="3"       />
 
   <component  name="Comparator"                             model="systemc" debug="0" />
Index: trunk/IPs/systemC/processor/Morpheo/Files/debug.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/debug.cfg	(revision 122)
+++ trunk/IPs/systemC/processor/Morpheo/Files/debug.cfg	(revision 123)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1" ?>
 
-<core name="debug">
+<core name="Instance_x1_w4_1">
 
   <thread id="0">             
@@ -7,5 +7,5 @@
     <parameter name="nb_inst_fetch"                         value="8" />
     <parameter name="ras_size_queue"                        value="8" />
-    <parameter name="upt_size_queue"                        value="32" />
+    <parameter name="upt_size_queue"                        value="16" />
     <parameter name="ufpt_size_queue"                       value="4" />
 
@@ -36,5 +36,5 @@
   </rename_bloc>                                            
                                                             
-  <read_bloc id="0,1,2,3,4,5">
+  <read_bloc id="0,1,2,3">                                        
     <parameter name="size_read_queue"                       value="4" />
     <parameter name="size_reservation_station"              value="4" />
@@ -42,5 +42,5 @@
   </read_bloc>                                              
 
-  <write_bloc id="0,1,2,3,4,5">
+  <write_bloc id="0,1,2,3">                                       
     <parameter name="size_write_queue"                      value="4" />
     <parameter name="size_execute_queue"                    value="4" />
@@ -51,5 +51,5 @@
   <load_store_unit id="0">                                  
     <parameter name="size_store_queue"                      value="16" />
-    <parameter name="size_load_queue"                       value="32" />
+    <parameter name="size_load_queue"                       value="16" />
     <parameter name="size_speculative_access_queue"         value="4" />
     <parameter name="nb_port_check"                         value="4" />
@@ -60,12 +60,5 @@
   </load_store_unit>
 
-  <functionnal_unit id="0">
-    <parameter name="nb_inst_functionnal_unit" value="1" />
-
-    <timing type="8"  latence="1" delay="1" />
-    <timing type="10" latence="1" delay="1" />
-  </functionnal_unit>
-
-  <functionnal_unit id="1,2,3,4" >
+  <functionnal_unit id="0,1" >
     <parameter name="nb_inst_functionnal_unit" value="1" />
 
@@ -79,4 +72,11 @@
   </functionnal_unit>
 
+  <functionnal_unit id="2">
+    <parameter name="nb_inst_functionnal_unit" value="1" />
+
+    <timing type="8"  latence="1" delay="1" />
+    <timing type="10" latence="1" delay="1" />
+  </functionnal_unit>
+
   <front_end id="0">        
     <parameter name="nb_context"                            value="1" />
@@ -85,17 +85,17 @@
     <parameter name="nb_inst_branch_decod"                  value="1" />
     <parameter name="nb_inst_branch_update"                 value="1" />
-    <parameter name="btb_size_queue"                        value="256" />
+    <parameter name="btb_size_queue"                        value="1024" />
     <parameter name="btb_associativity"                     value="8" />
     <parameter name="btb_size_counter"                      value="2" />
     <parameter name="btb_victim_scheme"                     value="3" />
-    <parameter name="dir_predictor_scheme"                  value="4" />
+    <parameter name="dir_predictor_scheme"                  value="2" />
                                                             
     <predictor id="0">                                      
-      <parameter name="dir_have_bht"                        value="1"  />
-      <parameter name="dir_bht_size_shifter"                value="4"  />
+      <parameter name="dir_have_bht"                        value="0"  />
+      <parameter name="dir_bht_size_shifter"                value="1"  />
       <parameter name="dir_bht_nb_shifter"                  value="64" />
       <parameter name="dir_have_pht"                        value="1"  />
       <parameter name="dir_pht_size_counter"                value="2"  />
-      <parameter name="dir_pht_nb_counter"                  value="64" />
+      <parameter name="dir_pht_nb_counter"                  value="16" />
       <parameter name="dir_pht_size_address_share"          value="0"  />
     </predictor>                                            
@@ -106,5 +106,5 @@
       <parameter name="dir_have_pht"                        value="1" />
       <parameter name="dir_pht_size_counter"                value="2" />
-      <parameter name="dir_pht_nb_counter"                  value="128" />
+      <parameter name="dir_pht_nb_counter"                  value="64" />
       <parameter name="dir_pht_size_address_share"          value="0" />
     </predictor>                                            
@@ -126,6 +126,6 @@
     <parameter name="nb_rename_unit_select"                 value="1" />
     <parameter name="nb_execute_loop_select"                value="1" />
-    <parameter name="size_re_order_buffer"                  value="128"/>
-    <parameter name="nb_re_order_buffer_bank"               value="64" />
+    <parameter name="size_re_order_buffer"                  value="64"/>
+    <parameter name="nb_re_order_buffer_bank"               value="16" />
     <parameter name="commit_priority"                       value="1" />
     <parameter name="commit_load_balancing"                 value="1" />
@@ -141,13 +141,13 @@
 
   <execute_loop id="0">
-    <parameter name="nb_read_unit"                          value="6" />
-    <parameter name="nb_write_unit"                         value="6" />
-    <parameter name="nb_execute_unit"                       value="6" />
+    <parameter name="nb_read_unit"                          value="4" />
+    <parameter name="nb_write_unit"                         value="4" />
+    <parameter name="nb_execute_unit"                       value="4" />
     <parameter name="nb_gpr_bank"                           value="1" />
-    <parameter name="nb_gpr_port_read_by_bank"              value="12" />
-    <parameter name="nb_gpr_port_write_by_bank"             value="6" />
+    <parameter name="nb_gpr_port_read_by_bank"              value="8" />
+    <parameter name="nb_gpr_port_write_by_bank"             value="4" />
     <parameter name="nb_spr_bank"                           value="1" />
-    <parameter name="nb_spr_port_read_by_bank"              value="5" />
-    <parameter name="nb_spr_port_write_by_bank"             value="5" />
+    <parameter name="nb_spr_port_read_by_bank"              value="4" />
+    <parameter name="nb_spr_port_write_by_bank"             value="4" />
     <parameter name="execution_unit_to_write_unit_priority" value="1" />
     <parameter name="read_unit_to_execution_unit_priority"  value="1" />
@@ -170,19 +170,12 @@
   <link name="link_decod_unit_with_decod_bloc"         src="0"     dest="0.0" />
   <link name="link_rename_unit_with_rename_bloc"       src="0"     dest="0.0" />
-
   <link name="link_read_unit_with_read_bloc"           src="0"     dest="0.0" />
   <link name="link_read_unit_with_read_bloc"           src="1"     dest="0.1" />
   <link name="link_read_unit_with_read_bloc"           src="2"     dest="0.2" />
   <link name="link_read_unit_with_read_bloc"           src="3"     dest="0.3" />
-  <link name="link_read_unit_with_read_bloc"           src="4"     dest="0.4" />
-  <link name="link_read_unit_with_read_bloc"           src="5"     dest="0.5" />
-
   <link name="link_write_unit_with_write_bloc"         src="0"     dest="0.0" />
   <link name="link_write_unit_with_write_bloc"         src="1"     dest="0.1" />
   <link name="link_write_unit_with_write_bloc"         src="2"     dest="0.2" />
   <link name="link_write_unit_with_write_bloc"         src="3"     dest="0.3" />
-  <link name="link_write_unit_with_write_bloc"         src="4"     dest="0.4" />
-  <link name="link_write_unit_with_write_bloc"         src="5"     dest="0.5" />
-
   <link name="link_decod_bloc_with_thread"             src="0"     dest="0"   />
   <link name="link_rename_bloc_with_front_end"         src="0"     dest="0"   />
@@ -193,6 +186,4 @@
   <link name="link_execute_unit_with_functionnal_unit" src="1"     dest="0.2"/>
   <link name="link_execute_unit_with_functionnal_unit" src="2"     dest="0.3"/>
-  <link name="link_execute_unit_with_functionnal_unit" src="3"     dest="0.4"/>
-  <link name="link_execute_unit_with_functionnal_unit" src="4"     dest="0.5"/>
 
   <link name="link_icache_port_with_thread"            src="0"     dest="0"   />
@@ -200,32 +191,22 @@
 
   <link name="table_dispatch"                          src="0.0.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.0" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.1" dest="1"   />
+  <link name="table_dispatch"                          src="0.1.0" dest="0"   />
+  <link name="table_dispatch"                          src="0.2.0" dest="0"   />
+  <link name="table_dispatch"                          src="0.3.0" dest="0"   />
+
+  <link name="table_dispatch"                          src="0.0.1" dest="0"   />
   <link name="table_dispatch"                          src="0.1.1" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.1" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.1" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.2" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.2" dest="1"   />
+  <link name="table_dispatch"                          src="0.2.1" dest="0"   />
+  <link name="table_dispatch"                          src="0.3.1" dest="0"   />
+
+  <link name="table_dispatch"                          src="0.0.2" dest="0"   />
+  <link name="table_dispatch"                          src="0.1.2" dest="0"   />
   <link name="table_dispatch"                          src="0.2.2" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.2" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.3" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.3" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.3" dest="1"   />
+  <link name="table_dispatch"                          src="0.3.2" dest="0"   />
+
+  <link name="table_dispatch"                          src="0.0.3" dest="0"   />
+  <link name="table_dispatch"                          src="0.1.3" dest="0"   />
+  <link name="table_dispatch"                          src="0.2.3" dest="0"   />
   <link name="table_dispatch"                          src="0.3.3" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.4" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.4" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.4" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.4" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.5" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.5" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.5" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.5" dest="1"   />
 
   <link name="link_read_bloc_and_load_store_unit"      src="0.0"   dest="1"   />
@@ -233,37 +214,16 @@
   <link name="link_read_bloc_and_load_store_unit"      src="2.0"   dest="0"   />
   <link name="link_read_bloc_and_load_store_unit"      src="3.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="4.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="5.0"   dest="0"   />
-
   <link name="link_read_bloc_and_functionnal_unit"     src="0.0"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="1.0"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="2.0"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="2.0"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="3.0"   dest="0"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="4.0"   dest="0"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="5.0"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="0.1"   dest="0"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="1.1"   dest="0"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="1.1"   dest="1"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="2.1"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="3.1"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="4.1"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="5.1"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="3.1"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="0.2"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="1.2"   dest="0"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="2.2"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="2.2"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="3.2"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="4.2"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="5.2"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="0.3"   dest="0"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="1.3"   dest="0"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="2.3"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="3.3"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="4.3"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="5.3"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="0.4"   dest="0"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="1.4"   dest="0"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="2.4"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="3.4"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="4.4"   dest="1"   />
-  <link name="link_read_bloc_and_functionnal_unit"     src="5.4"   dest="1"   />
 
   <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
@@ -271,47 +231,23 @@
   <link name="link_write_bloc_and_load_store_unit"     src="2.0"   dest="0"   />
   <link name="link_write_bloc_and_load_store_unit"     src="3.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="4.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="5.0"   dest="0"   />
 
   <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="1.0"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="2.0"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="2.0"   dest="1"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="3.0"   dest="0"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="4.0"   dest="0"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="5.0"   dest="0"   />
 
   <link name="link_write_bloc_and_functionnal_unit"    src="0.1"   dest="0"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="1.1"   dest="0"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="1.1"   dest="1"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="2.1"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="3.1"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="4.1"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="5.1"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="3.1"   dest="0"   />
 
   <link name="link_write_bloc_and_functionnal_unit"    src="0.2"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="1.2"   dest="0"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="2.2"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="2.2"   dest="0"   />
   <link name="link_write_bloc_and_functionnal_unit"    src="3.2"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="4.2"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="5.2"   dest="1"   />
-
-  <link name="link_write_bloc_and_functionnal_unit"    src="0.3"   dest="0"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="1.3"   dest="0"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="2.3"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="3.3"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="4.3"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="5.3"   dest="1"   />
-
-  <link name="link_write_bloc_and_functionnal_unit"    src="0.4"   dest="0"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="1.4"   dest="0"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="2.4"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="3.4"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="4.4"   dest="1"   />
-  <link name="link_write_bloc_and_functionnal_unit"    src="5.4"   dest="1"   />
 
   <link name="link_thread_and_functionnal_unit"        src="0.0"   dest="1"   />
   <link name="link_thread_and_functionnal_unit"        src="0.1"   dest="1"   />
   <link name="link_thread_and_functionnal_unit"        src="0.2"   dest="1"   />
-  <link name="link_thread_and_functionnal_unit"        src="0.3"   dest="1"   />
-  <link name="link_thread_and_functionnal_unit"        src="0.4"   dest="1"   />
 
 </core>
Index: trunk/IPs/systemC/processor/Morpheo/Files/debug.sim
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/debug.sim	(revision 122)
+++ trunk/IPs/systemC/processor/Morpheo/Files/debug.sim	(revision 123)
@@ -20,10 +20,10 @@
   <parameter  name="statistics_period"                      value="0"       />
                                                             
-  <parameter  name="simulation_nb_cycle"                    value="100"  />
+  <parameter  name="simulation_nb_cycle"                    value="500000"  />
   <parameter  name="simulation_nb_instruction"              value="0"       />
                                                             
   <parameter  name="debug_level"                            value="0"       />
-  <parameter  name="debug_cycle_start"                      value="8000"   />
-  <parameter  name="debug_cycle_stop"                       value="9000"   />
+  <parameter  name="debug_cycle_start"                      value="0"       />
+  <parameter  name="debug_cycle_stop"                       value="20000"     />
 
   <parameter  name="debug_log_file_generate"                value="0"       />
@@ -80,9 +80,9 @@
   <component  name="Context_State"                          model="systemc" debug="1" />
   <component  name="Decod"                                  model="systemc" debug="0" />
-  <component  name="Decod_queue"                            model="systemc" debug="0" />
+  <component  name="Decod_queue"                            model="systemc" debug="1" />
   <component  name="Decod_unit"                             model="systemc" debug="0" />
   <component  name="Front_end_Glue"                         model="systemc" debug="0" />
-  <component  name="Address_management"                     model="systemc" debug="0" />
-  <component  name="Ifetch_queue"                           model="systemc" debug="0" />
+  <component  name="Address_management"                     model="systemc" debug="1" />
+  <component  name="Ifetch_queue"                           model="systemc" debug="1" />
   <component  name="Ifetch_unit_Glue"                       model="systemc" debug="0" />
   <component  name="Ifetch_unit"                            model="systemc" debug="0" />
@@ -90,11 +90,11 @@
   <component  name="Branch_Target_Buffer_Register"          model="systemc" debug="0" />
   <component  name="Branch_Target_Buffer"                   model="systemc" debug="0" />
-  <component  name="Direction_Glue"                         model="systemc" debug="0" />
+  <component  name="Direction_Glue"                         model="systemc" debug="1" />
   <component  name="Direction"                              model="systemc" debug="0" />
-  <component  name="Two_Level_Branch_Predictor"             model="systemc" debug="0" />
-  <component  name="Meta_Predictor_Glue"                    model="systemc" debug="0" />
+  <component  name="Two_Level_Branch_Predictor"             model="systemc" debug="1" />
+  <component  name="Meta_Predictor_Glue"                    model="systemc" debug="1" />
   <component  name="Meta_Predictor"                         model="systemc" debug="0" />
-  <component  name="Prediction_unit_Glue"                   model="systemc" debug="0" />
-  <component  name="Return_Address_Stack"                   model="systemc" debug="0" />
+  <component  name="Prediction_unit_Glue"                   model="systemc" debug="1" />
+  <component  name="Return_Address_Stack"                   model="systemc" debug="1" />
   <component  name="Update_Prediction_Table"                model="systemc" debug="1" />
   <component  name="Prediction_unit"                        model="systemc" debug="0" />
